- NAME
- SYNOPSIS
- DESCRIPTION
- OPTIONS

# NAME

rt-test-dependencies - test rt's dependencies

# SYNOPSIS

        rt-test-dependencies
        rt-test-dependencies --install
        rt-test-dependencies --with-mysql --with-fastcgi

# DESCRIPTION

by default, `rt-test-dependencies` determines whether you have installed all the perl modules RT needs to run.

the "RT_FIX_DEPS_CMD" environment variable, if set, will be used instead of the standard CPAN shell by --install to install any required modules. it will be called with the module name, or, if "RT_FIX_DEPS_CMD" contains a "%s", will replace the "%s" with the module name before calling the program.

# OPTIONS

install

          install missing modules

verbose

  list the status of all dependencies, rather than just the missing ones.

  -v is equal to --verbose

specify dependencies
  --with-mysql

    database interface for mysql

  --with-pg

    database interface for postgresql

  --with-oracle

    database interface for oracle

  --with-sqlite

    database interface and driver for sqlite (unsupported)

  --with-fastcgi

    libraries needed to support the fastcgi handler

  --with-modperl1

    libraries needed to support the modperl 1 handler

  --with-modperl2

    libraries needed to support the modperl 2 handler

  --with-developer

    tools needed for RT development

← Back to index